gitit

Network.Gitit.Server

Synopsis

- module Happstack.Server
- withExpiresHeaders :: ServerMonad m => m Response -> m Response
- setContentType :: String -> Response -> Response
- setFilename :: String -> Response -> Response
- lookupIPAddr :: String -> IO (Maybe String)
- getHost :: ServerMonad m => m (Maybe String)
- compressedResponseFilter :: (FilterMonad Response m, MonadPlus m, WebMonad Response m, ServerMonad m) => m String

# Documentation

module Happstack.Server

withExpiresHeaders :: ServerMonad m => m Response -> m Response

setContentType :: String -> Response -> Response

setFilename :: String -> Response -> Response

lookupIPAddr :: String -> IO (Maybe String)

getHost :: ServerMonad m => m (Maybe String)

compressedResponseFilter

Arguments

:: (FilterMonad Response m, MonadPlus m, WebMonad Response m, ServerMonad m) |
=> m String | name of the encoding chosen

reads the `Accept-Encoding` header. Then, if possible will compress the response body with methods `gzip` or `deflate`.

     main =
       simpleHTTP nullConf $
          do str <- compressedResponseFilter
             return $ toResponse ("This response compressed using: " ++ str)